Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network99.167.136.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
99.167.136.0
Broadcast address
99.167.139.255
First usable
99.167.136.1
Last usable
99.167.139.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 63A78800 · Integer 1671923712 to 1671924735
Reverse DNS zones
136.167.99.in-addr.arpa
137.167.99.in-addr.arpa
138.167.99.in-addr.arpa
139.167.99.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100011.10100111.10001000.0000000099.167.136.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network01100011.10100111.10001000.0000000099.167.136.0
Broadcast01100011.10100111.10001011.1111111199.167.139.255
Split into smaller subnets/28

99.167.136.0/22 makes 64 subnets of /28.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
199.167.136.0/2899.167.136.1 to 99.167.136.1499.167.136.1514
299.167.136.16/2899.167.136.17 to 99.167.136.3099.167.136.3114
399.167.136.32/2899.167.136.33 to 99.167.136.4699.167.136.4714
499.167.136.48/2899.167.136.49 to 99.167.136.6299.167.136.6314
599.167.136.64/2899.167.136.65 to 99.167.136.7899.167.136.7914
699.167.136.80/2899.167.136.81 to 99.167.136.9499.167.136.9514
799.167.136.96/2899.167.136.97 to 99.167.136.11099.167.136.11114
899.167.136.112/2899.167.136.113 to 99.167.136.12699.167.136.12714
999.167.136.128/2899.167.136.129 to 99.167.136.14299.167.136.14314
1099.167.136.144/2899.167.136.145 to 99.167.136.15899.167.136.15914
1199.167.136.160/2899.167.136.161 to 99.167.136.17499.167.136.17514
1299.167.136.176/2899.167.136.177 to 99.167.136.19099.167.136.19114
1399.167.136.192/2899.167.136.193 to 99.167.136.20699.167.136.20714
1499.167.136.208/2899.167.136.209 to 99.167.136.22299.167.136.22314
1599.167.136.224/2899.167.136.225 to 99.167.136.23899.167.136.23914
1699.167.136.240/2899.167.136.241 to 99.167.136.25499.167.136.25514
1799.167.137.0/2899.167.137.1 to 99.167.137.1499.167.137.1514
1899.167.137.16/2899.167.137.17 to 99.167.137.3099.167.137.3114
1999.167.137.32/2899.167.137.33 to 99.167.137.4699.167.137.4714
2099.167.137.48/2899.167.137.49 to 99.167.137.6299.167.137.6314
2199.167.137.64/2899.167.137.65 to 99.167.137.7899.167.137.7914
2299.167.137.80/2899.167.137.81 to 99.167.137.9499.167.137.9514
2399.167.137.96/2899.167.137.97 to 99.167.137.11099.167.137.11114
2499.167.137.112/2899.167.137.113 to 99.167.137.12699.167.137.12714
2599.167.137.128/2899.167.137.129 to 99.167.137.14299.167.137.14314
2699.167.137.144/2899.167.137.145 to 99.167.137.15899.167.137.15914
2799.167.137.160/2899.167.137.161 to 99.167.137.17499.167.137.17514
2899.167.137.176/2899.167.137.177 to 99.167.137.19099.167.137.19114
2999.167.137.192/2899.167.137.193 to 99.167.137.20699.167.137.20714
3099.167.137.208/2899.167.137.209 to 99.167.137.22299.167.137.22314
3199.167.137.224/2899.167.137.225 to 99.167.137.23899.167.137.23914
3299.167.137.240/2899.167.137.241 to 99.167.137.25499.167.137.25514
3399.167.138.0/2899.167.138.1 to 99.167.138.1499.167.138.1514
3499.167.138.16/2899.167.138.17 to 99.167.138.3099.167.138.3114
3599.167.138.32/2899.167.138.33 to 99.167.138.4699.167.138.4714
3699.167.138.48/2899.167.138.49 to 99.167.138.6299.167.138.6314
3799.167.138.64/2899.167.138.65 to 99.167.138.7899.167.138.7914
3899.167.138.80/2899.167.138.81 to 99.167.138.9499.167.138.9514
3999.167.138.96/2899.167.138.97 to 99.167.138.11099.167.138.11114
4099.167.138.112/2899.167.138.113 to 99.167.138.12699.167.138.12714
4199.167.138.128/2899.167.138.129 to 99.167.138.14299.167.138.14314
4299.167.138.144/2899.167.138.145 to 99.167.138.15899.167.138.15914
4399.167.138.160/2899.167.138.161 to 99.167.138.17499.167.138.17514
4499.167.138.176/2899.167.138.177 to 99.167.138.19099.167.138.19114
4599.167.138.192/2899.167.138.193 to 99.167.138.20699.167.138.20714
4699.167.138.208/2899.167.138.209 to 99.167.138.22299.167.138.22314
4799.167.138.224/2899.167.138.225 to 99.167.138.23899.167.138.23914
4899.167.138.240/2899.167.138.241 to 99.167.138.25499.167.138.25514
4999.167.139.0/2899.167.139.1 to 99.167.139.1499.167.139.1514
5099.167.139.16/2899.167.139.17 to 99.167.139.3099.167.139.3114
5199.167.139.32/2899.167.139.33 to 99.167.139.4699.167.139.4714
5299.167.139.48/2899.167.139.49 to 99.167.139.6299.167.139.6314
5399.167.139.64/2899.167.139.65 to 99.167.139.7899.167.139.7914
5499.167.139.80/2899.167.139.81 to 99.167.139.9499.167.139.9514
5599.167.139.96/2899.167.139.97 to 99.167.139.11099.167.139.11114
5699.167.139.112/2899.167.139.113 to 99.167.139.12699.167.139.12714
5799.167.139.128/2899.167.139.129 to 99.167.139.14299.167.139.14314
5899.167.139.144/2899.167.139.145 to 99.167.139.15899.167.139.15914
5999.167.139.160/2899.167.139.161 to 99.167.139.17499.167.139.17514
6099.167.139.176/2899.167.139.177 to 99.167.139.19099.167.139.19114
6199.167.139.192/2899.167.139.193 to 99.167.139.20699.167.139.20714
6299.167.139.208/2899.167.139.209 to 99.167.139.22299.167.139.22314
6399.167.139.224/2899.167.139.225 to 99.167.139.23899.167.139.23914
6499.167.139.240/2899.167.139.241 to 99.167.139.25499.167.139.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses